summaryrefslogtreecommitdiff
path: root/runtest-cluster
diff options
context:
space:
mode:
authorantirez <antirez@gmail.com>2014-04-24 18:01:41 +0200
committerantirez <antirez@gmail.com>2014-04-24 18:01:41 +0200
commitc3f85c010738a9a84bf60d2b4c7654c5c6b76e92 (patch)
tree034fe67259bd22068146412290f3fa52402ed49d /runtest-cluster
parent7d9b45b4a17edbfbce776487051539ff9a7f886d (diff)
downloadredis-c3f85c010738a9a84bf60d2b4c7654c5c6b76e92.tar.gz
Redis Cluster test framework skeleton.
Diffstat (limited to 'runtest-cluster')
-rwxr-xr-xruntest-cluster14
1 files changed, 14 insertions, 0 deletions
diff --git a/runtest-cluster b/runtest-cluster
new file mode 100755
index 000000000..27829a5fe
--- /dev/null
+++ b/runtest-cluster
@@ -0,0 +1,14 @@
+#!/bin/sh
+TCL_VERSIONS="8.5 8.6"
+TCLSH=""
+
+for VERSION in $TCL_VERSIONS; do
+ TCL=`which tclsh$VERSION 2>/dev/null` && TCLSH=$TCL
+done
+
+if [ -z $TCLSH ]
+then
+ echo "You need tcl 8.5 or newer in order to run the Redis Sentinel test"
+ exit 1
+fi
+$TCLSH tests/cluster/run.tcl $*